%{?nodejs_find_provides_and_requires}
Name:                nodejs-nopt
Version:             3.0.6
Release:             1
Summary:             Node.js option parsing
License:             MIT
URL:                 https://github.com/isaacs/nopt
Source0:             https://github.com/isaacs/nopt/archive/v%{version}.tar.gz
BuildArch:           noarch
ExclusiveArch:       %{nodejs_arches} noarch
BuildRequires:       nodejs-packaging
BuildRequires:       npm(tap) npm(abbrev)
%description
An option parsing library for Node.js and its package manager (npm).

%prep
%autosetup -n nopt-%{version}

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/nopt
cp -pr bin lib package.json %{buildroot}%{nodejs_sitelib}/nopt
mkdir -p %{buildroot}%{_bindir}
ln -sf ../lib/node_modules/nopt/bin/nopt.js %{buildroot}%{_bindir}/nopt
%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%tap test/*.js

%files
%doc README.md examples
%license LICENSE
%{nodejs_sitelib}/nopt
%{_bindir}/nopt

%changelog
* Mon Aug 17 2020 wutao <wutao61@huawei.com> - 3.0.6-1
- Package init
